using Microsoft.Extensions.Logging;

namespace SteUp.Maui.Core.Logger;

public class FileLoggerProvider(string path, string logFilePrefix, int retentionDays = 60) 
    : ILoggerProvider
{
    public ILogger CreateLogger(string categoryName)
    {
        return new FileLogger(path, logFilePrefix, categoryName, retentionDays);
    }

    public void Dispose() { }
}
